## org.apache.commons.collections
Interface SortedBidiMap

All Superinterfaces:
  BidiMap, IterableMap, java.util.Map, OrderedBidiMap, OrderedMap, java.util.SortedMap

All Known Implementing Classes:
  AbstractSortedBidiMapDecorator, DualTreeBidiMap, UnmodifiableSortedBidiMap

    public interface SortedBidiMap

extends OrderedBidiMap, java.util.SortedMap

Defines a map that allows bidirectional lookup between key and values and retains both keys and values in sorted order.

Implementations should allow a value to be looked up from a key and a key to be looked up from a value with equal performance.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry`

Method Summary
`BidiMap` `inverseBidiMap()` Gets a view of this map where the keys and values are reversed.
`SortedBidiMap` `inverseSortedBidiMap()` Gets a view of this map where the keys and values are reversed.

Methods inherited from interface org.apache.commons.collections.OrderedBidiMap
`inverseOrderedBidiMap`

Methods inherited from interface org.apache.commons.collections.BidiMap
`getKey, mapIterator, put, removeValue`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from interface org.apache.commons.collections.OrderedMap
`firstKey, lastKey, nextKey, orderedMapIterator, previousKey`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from interface java.util.SortedMap
`comparator, firstKey, headMap, lastKey, subMap, tailMap`

Method Detail

### inverseBidiMap

    BidiMap inverseBidiMap()

  Gets a view of this map where the keys and values are reversed.

  Changes to one map will be visible in the other and vice versa. This enables both directions of the map to be accessed equally.

  Implementations should seek to avoid creating a new object every time this method is called. See `AbstractMap.values()` etc. Calling this method on the inverse map should return the original.

  Implementations must return a `SortedBidiMap` instance, usually by forwarding to `inverseSortedBidiMap()`.

  Specified by:
    `inverseBidiMap` in interface `BidiMap`
  Specified by:
    `inverseBidiMap` in interface `OrderedBidiMap`
  Returns:
    an inverted bidirectional map

### inverseSortedBidiMap

    SortedBidiMap inverseSortedBidiMap()

  Gets a view of this map where the keys and values are reversed.

  Changes to one map will be visible in the other and vice versa. This enables both directions of the map to be accessed as a `SortedMap`.

  Implementations should seek to avoid creating a new object every time this method is called. See `AbstractMap.values()` etc. Calling this method on the inverse map should return the original.

  The inverse map returned by `inverseBidiMap()` should be the same object as returned by this method.

  Returns:
    an inverted bidirectional map

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.